﻿var v65 = {
  home: {
    initPhotoGallery: function () {
      if ($("#slider").length) {
        $("#slider").v65PhotoGallery({
          galleryId: "Gallery ID Goes Here",
        });
      }
    },
  },
  page: {
    init: function () {
      v65.page.initPhotoGallery();
    },
    initPhotoGallery: function () {
      if ($("#pagePhotoGallery").length) {
        $("#pagePhotoGallery").v65PhotoGallery({
          galleryHeight: null, // This value is translated to 420px and will change the photogallery height
          galleryWidth: null, // This value is translated to 630px and will change the photogallery width
          /*
            Uncomment the code below if you want to change how the photo gallery is displayed.
            arrows: true, //Show the arrow navigation
            autoplay: false, //Does the carousel autoplay or not
            autoplaySpeed: 3000,, // Adjust the transition speed between images. Value is in milliseconds
            centerMode: false, //Enables centered view with partial prev/next slides. Use with odd numbered slidesToShow counts.
            centerPadding: '50px', //Side padding when in center mode (px or %)
            dots: true, //Show the dot navigation for each image
            fade: false, //Add a fade effect between image transitions
            slidesToShow: 1, //How may slides to show at once
            slidesToScroll: 1 //How many slides to scroll at once
          */
        });
      }
    },
  },
};

(function ($, undefined) {
  $.fn.v65PhotoGallery = function (options) {
    var defaults = {
        galleryId: $("#pagePhotoGallery").attr("v65jsphotogalleryid"),
        galleryHeight: 600,
        galleryWidth: null,
        timestamp: "&timestamp=" + new Date().getTime(),
      },
      gallery = $(this),
      settings = $.extend({}, defaults, options);
    console.log(settings);
    gallery.html("").css({
      height: settings.galleryHeight,
      width: settings.galleryWidth,
      overflow: "hidden",
    });
    $.ajax({
      type: "GET",
      url:
        "/index.cfm?method=pages.showPhotoGalleryXML&photogalleryid=" +
        settings.galleryId +
        defaults.timestamp,
      dataType: "xml",
      success: function (xml) {
        var slides = "";
        $(xml)
          .find("img")
          .each(function () {
            var location = "/assets/images/photogallery/images/large/",
              photo = $(this).attr("src"),
              caption = $(this).attr("caption"),
              title = $(this).attr("title"),
              url = $(this).attr("link");
            if (url === undefined) {
              var image =
                '<img alt="' +
                title +
                '" src="' +
                location +
                photo +
                '" title="' +
                caption +
                '"/>';
            } else {
              var image =
                '<a href="' +
                url +
                '"><img alt="' +
                title +
                '" src="' +
                location +
                photo +
                '" title="' +
                caption +
                '"/></a>';
            }
            slides += image;
          });
        gallery.append(slides);
      },
      complete: function () {
        gallery.slick({
          arrows: settings.arrows, //Show the arrow navigation
          autoplay: settings.autoplay, //Does the carousel autoplay or not
          autoplaySpeed: settings.autoplaySpeed, // Adjust the transition speed between images. Value is in milliseconds
          centerMode: settings.centerMode, //Enables centered view with partial prev/next slides. Use with odd numbered slidesToShow counts.
          centerPadding: settings.centerPadding, //Side padding when in center mode (px or %)
          dots: settings.dots, //Show the dot navigation for each image
          fade: settings.fade, //Add a fade effect between image transitions
          slidesToShow: settings.slidesToShow, //How may slides to show at once
          slidesToScroll: settings.slidesToScroll, //How many slides to scroll at once
        });
        $("#pagePhotoGallery .slick-slide img").each(function () {
          if ($(this).attr("title")) {
            var slideCaption = $(this).attr("title");
            $(this)
              .parent("div")
              .addClass("has-caption")
              .append('<div class="slidecaption">' + slideCaption + "</div>");
          }
        });
      },
    });
  };
})(jQuery);

/**
 * jquery.matchHeight-min.js master
 * http://brm.io/jquery-match-height/
 * License: MIT
 */
(function (c) {
  var n = -1,
    f = -1,
    g = function (a) {
      return parseFloat(a) || 0;
    },
    r = function (a) {
      var b = null,
        d = [];
      c(a).each(function () {
        var a = c(this),
          k = a.offset().top - g(a.css("margin-top")),
          l = 0 < d.length ? d[d.length - 1] : null;
        null === l
          ? d.push(a)
          : 1 >= Math.floor(Math.abs(b - k))
          ? (d[d.length - 1] = l.add(a))
          : d.push(a);
        b = k;
      });
      return d;
    },
    p = function (a) {
      var b = { byRow: !0, property: "height", target: null, remove: !1 };
      if ("object" === typeof a) return c.extend(b, a);
      "boolean" === typeof a
        ? (b.byRow = a)
        : "remove" === a && (b.remove = !0);
      return b;
    },
    b = (c.fn.matchHeight = function (a) {
      a = p(a);
      if (a.remove) {
        var e = this;
        this.css(a.property, "");
        c.each(b._groups, function (a, b) {
          b.elements = b.elements.not(e);
        });
        return this;
      }
      if (1 >= this.length && !a.target) return this;
      b._groups.push({ elements: this, options: a });
      b._apply(this, a);
      return this;
    });
  b._groups = [];
  b._throttle = 80;
  b._maintainScroll = !1;
  b._beforeUpdate = null;
  b._afterUpdate = null;
  b._apply = function (a, e) {
    var d = p(e),
      h = c(a),
      k = [h],
      l = c(window).scrollTop(),
      f = c("html").outerHeight(!0),
      m = h.parents().filter(":hidden");
    m.each(function () {
      var a = c(this);
      a.data("style-cache", a.attr("style"));
    });
    m.css("display", "block");
    d.byRow &&
      !d.target &&
      (h.each(function () {
        var a = c(this),
          b = a.css("display");
        "inline-block" !== b && "inline-flex" !== b && (b = "block");
        a.data("style-cache", a.attr("style"));
        a.css({
          display: b,
          "padding-top": "0",
          "padding-bottom": "0",
          "margin-top": "0",
          "margin-bottom": "0",
          "border-top-width": "0",
          "border-bottom-width": "0",
          height: "100px",
        });
      }),
      (k = r(h)),
      h.each(function () {
        var a = c(this);
        a.attr("style", a.data("style-cache") || "");
      }));
    c.each(k, function (a, b) {
      var e = c(b),
        f = 0;
      if (d.target) f = d.target.outerHeight(!1);
      else {
        if (d.byRow && 1 >= e.length) {
          e.css(d.property, "");
          return;
        }
        e.each(function () {
          var a = c(this),
            b = a.css("display");
          "inline-block" !== b && "inline-flex" !== b && (b = "block");
          b = { display: b };
          b[d.property] = "";
          a.css(b);
          a.outerHeight(!1) > f && (f = a.outerHeight(!1));
          a.css("display", "");
        });
      }
      e.each(function () {
        var a = c(this),
          b = 0;
        (d.target && a.is(d.target)) ||
          ("border-box" !== a.css("box-sizing") &&
            ((b +=
              g(a.css("border-top-width")) + g(a.css("border-bottom-width"))),
            (b += g(a.css("padding-top")) + g(a.css("padding-bottom")))),
          a.css(d.property, f - b + "px"));
      });
    });
    m.each(function () {
      var a = c(this);
      a.attr("style", a.data("style-cache") || null);
    });
    b._maintainScroll &&
      c(window).scrollTop((l / f) * c("html").outerHeight(!0));
    return this;
  };
  b._applyDataApi = function () {
    var a = {};
    c("[data-match-height], [data-mh]").each(function () {
      var b = c(this),
        d = b.attr("data-mh") || b.attr("data-match-height");
      a[d] = d in a ? a[d].add(b) : b;
    });
    c.each(a, function () {
      this.matchHeight(!0);
    });
  };
  var q = function (a) {
    b._beforeUpdate && b._beforeUpdate(a, b._groups);
    c.each(b._groups, function () {
      b._apply(this.elements, this.options);
    });
    b._afterUpdate && b._afterUpdate(a, b._groups);
  };
  b._update = function (a, e) {
    if (e && "resize" === e.type) {
      var d = c(window).width();
      if (d === n) return;
      n = d;
    }
    a
      ? -1 === f &&
        (f = setTimeout(function () {
          q(e);
          f = -1;
        }, b._throttle))
      : q(e);
  };
  c(b._applyDataApi);
  c(window).bind("load", function (a) {
    b._update(!1, a);
  });
  c(window).bind("resize orientationchange", function (a) {
    b._update(!0, a);
  });
})(jQuery);

v65.page.init();
